/***************************************************************************
*  Media Downloader. Search and download as many images or videos that     *
*    fit your search criteria                                              *
*  Copyright (C) 2009-2011  Marco Bavagnoli - lil.deimos@gmail.com         *
*                                                                          *
*  This program is free software: you can redistribute it and/or modify    *
*  it under the terms of the GNU General Public License as published by    *
*  the Free Software Foundation, either version 3 of the License, or       *
*  (at your option) any later version.                                     *
*                                                                          *
*  This program is distributed in the hope that it will be useful,         *
*  but WITHOUT ANY WARRANTY; without even the implied warranty of          *
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
*  GNU General Public License for more details.                            *
*                                                                          *
*  You should have received a copy of the GNU General Public License       *
*  along with this program.  If not, see <http://www.gnu.org/licenses/>.   *
***************************************************************************/

#ifndef CUSTOMIZEIMAGEWIDGET_H
#define CUSTOMIZEIMAGEWIDGET_H

#include <QDialog>

namespace Ui {
    class customizeImageWidget;
}

class customizeImageWidget : public QDialog
{
    Q_OBJECT

public:
    explicit customizeImageWidget(QWidget *parent = 0);
    ~customizeImageWidget();
    void initDialog(QColor top,
                    QColor mid,
                    QColor bottom,
                    QColor images,
                    QColor videos,
                    QColor images_text,
                    QColor videos_text);
    void refreshLabelsColor();

    QColor top_color;
    QColor mid_color;
    QColor bottom_color;
    QColor images_color;
    QColor videos_color;
    QColor images_text_color;
    QColor videos_text_color;

protected:
    void changeEvent(QEvent *e);

private:
    Ui::customizeImageWidget *ui;

signals:
    void top_color_changed(QColor c);
    void mid_color_changed(QColor c);
    void bottom_color_changed(QColor c);
    void images_color_changed(QColor c);
    void videos_color_changed(QColor c);
    void images_text_color_changed(QColor c);
    void videos_text_color_changed(QColor c);
    void image_choosen(bool checked, QString fileName);

public slots:
    void onPB_choose_top_color_clicked();
    void onPB_choose_mid_color_clicked();
    void onPB_choose_bottom_color_clicked();
    void onPB_images_color_clicked();
    void onPB_videos_color_clicked();
    void onPB_images_text_color_clicked();
    void onPB_videos_text_color_clicked();

private slots:
    void on_CB_use_background_image_toggled(bool checked);
    void on_PB_choose_image_clicked();

};

#endif // CUSTOMIZEIMAGEWIDGET_H
