/***************************************************************************
*  Media Downloader. Search and download as many images or videos that     *
*    fit your search criteria                                              *
*  Copyright (C) 2009-2011  Marco Bavagnoli - lil.deimos@gmail.com         *
*                                                                          *
*  This program is free software: you can redistribute it and/or modify    *
*  it under the terms of the GNU General Public License as published by    *
*  the Free Software Foundation, either version 3 of the License, or       *
*  (at your option) any later version.                                     *
*                                                                          *
*  This program is distributed in the hope that it will be useful,         *
*  but WITHOUT ANY WARRANTY; without even the implied warranty of          *
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
*  GNU General Public License for more details.                            *
*                                                                          *
*  You should have received a copy of the GNU General Public License       *
*  along with this program.  If not, see <http://www.gnu.org/licenses/>.   *
***************************************************************************/

#ifndef GOOGLESUGGEST_H
#define GOOGLESUGGEST_H

#include <QWidget>
#include <QLineEdit>
#include <QListWidget>
#include <QTimer>
#include <QTreeWidget>
#include <QHBoxLayout>
#include "network.h"

class googleSuggest : public QLineEdit
{
    Q_OBJECT
public:
    explicit googleSuggest(QWidget *parent = 0);
    ~googleSuggest();
    void setCanSuggest( bool can );

private:
    QTimer *timer;
    QTreeWidget *listSuggested;
    QHBoxLayout *horizontalLayout;
    network *net;
    bool canSuggest;
    bool eventFilter ( QObject * watched, QEvent * event );

signals:


public slots:
    void findSuggest();
    void enableSuggest();
    void gotSuggest(int ID, QByteArray data);
    void suggestChoosen(QTreeWidgetItem *item ,int i);

};

#endif // GOOGLESUGGEST_H
