/***************************************************************************
*  Media Downloader. Search and download as many images or videos that     *
*    fit your search criteria                                              *
*  Copyright (C) 2009-2011  Marco Bavagnoli - lil.deimos@gmail.com         *
*                                                                          *
*  This program is free software: you can redistribute it and/or modify    *
*  it under the terms of the GNU General Public License as published by    *
*  the Free Software Foundation, either version 3 of the License, or       *
*  (at your option) any later version.                                     *
*                                                                          *
*  This program is distributed in the hope that it will be useful,         *
*  but WITHOUT ANY WARRANTY; without even the implied warranty of          *
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
*  GNU General Public License for more details.                            *
*                                                                          *
*  You should have received a copy of the GNU General Public License       *
*  along with this program.  If not, see <http://www.gnu.org/licenses/>.   *
***************************************************************************/

#ifndef SAVERESTORE_H
#define SAVERESTORE_H

#include <QWidget>
#include "imageviewer2d.h"
#include "youtube.h"
#include "googlepicture.h"
#include "defines.h"

class saverestore : public QWidget
{
    Q_OBJECT
public:
    enum {SAVE_AND_APPEND,
          SAVE_TO_NEW_FILE,
          RESTORE_AND_APPEND,
          RESTORE_AND_REPLACE
         };
    explicit saverestore(int opt, ImageViewer2d *imagev, QString fn, QWidget *parent = 0);
    void save();
    void restore();

private:
    ImageViewer2d *imageViewer;
    int option;
    QString fileName;

signals:

public slots:

};

#endif // SAVERESTORE_H
