/***************************************************************************
*  Media Downloader. Search and download as many images or videos that     *
*    fit your search criteria                                              *
*  Copyright (C) 2009-2011  Marco Bavagnoli - lil.deimos@gmail.com         *
*                                                                          *
*  This program is free software: you can redistribute it and/or modify    *
*  it under the terms of the GNU General Public License as published by    *
*  the Free Software Foundation, either version 3 of the License, or       *
*  (at your option) any later version.                                     *
*                                                                          *
*  This program is distributed in the hope that it will be useful,         *
*  but WITHOUT ANY WARRANTY; without even the implied warranty of          *
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
*  GNU General Public License for more details.                            *
*                                                                          *
*  You should have received a copy of the GNU General Public License       *
*  along with this program.  If not, see <http://www.gnu.org/licenses/>.   *
***************************************************************************/

#ifndef STYLES_H
#define STYLES_H

#include <QObject>
#include <QFile>
#include <QDir>
#include <QPointer>
#include <QFileSystemWatcher>

class styles : public QObject
{
    Q_OBJECT
public:
    explicit styles(QString fileName, QObject *parent = 0);
    ~styles();
    void setStyle(QString fileName, bool watch);
    static QFileInfoList getCssFileList();
    static void setInitialSettings();

    static QDir CSSpath;
    QFileInfo *styleFile;

private:
    QPointer<QFileSystemWatcher> cssFileWatcher;

signals:

public slots:
    void cssFileChanged(QString s);
};

#endif // STYLES_H
